Package Details: kodi-git r57964.a4067bf75ae-1

Git Clone URL: https://aur.archlinux.org/kodi-git.git (read-only, click to copy)
Package Base: kodi-git
Description: A software media player and entertainment hub for digital media (master branch)
Upstream URL: https://kodi.tv
Licenses: GPL2
Conflicts: kodi, kodi-gbm, kodi-wayland, kodi-x11
Provides: kodi=r57964.a4067bf75ae, kodi-gbm, kodi-wayland, kodi-x11
Replaces: kodi, kodi-gbm, kodi-wayland, kodi-x11
Submitter: BlackIkeEagle
Maintainer: graysky
Last Packager: graysky
Votes: 83
Popularity: 0.017480
First Submitted: 2014-10-23 06:38
Last Updated: 2021-07-16 21:59

Dependencies (89)

Required by (52)

Sources (12)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

graysky commented on 2021-06-20 15:44

The most recent commit allows you to build with clang rather than with gcc. Just set the _clangbuild variable to something. LTO is accomplished with -flto=thin and seems to work well. Please try and report any problems.

graysky commented on 2021-06-09 10:28

Not needed here the last time I built this package r57584.8cbbb961201-1. Guessing you're not building in a clean build root and that the dep detect script in kodi's code found that on your system. Build in a clean build root.

EDIT: the most recent commit builds fine as-is.

deadite66 commented on 2021-06-09 06:08

Fails to build for me unless i add -DENABLE_PIPEWIRE=OFF

graysky commented on 2021-03-11 11:28

Why are you spamming this git package AUR page with requests for an old stable release? Please stop. If you want to build an EOL'ed version, seek the official build which is archived: https://github.com/archlinux/svntogit-community/tree/a2dfde4f5a9c836877ef10a7c6a735887cea4df4/trunk

cgirard commented on 2021-03-10 19:04

@csts https://wiki.archlinux.org/index.php/Arch_Linux_Archive

wmarler commented on 2020-10-13 17:13

I believe on line 220 'python-pillow6' should be changed to 'python-pillow'

graysky commented on 2020-08-01 16:45

@TUC - Thanks for pointing that out. I think I fixed this in r55550.6386f23c2da-1, would you mind trying and reporting back? Thanks.

TUC commented on 2020-08-01 16:33

kodi-git-gbm, kodi-git-wayland, kodi-git-x11 depend on ${pkgbase} (kodi-git) which is not provided by PKGBUILD

graysky commented on 2020-07-30 22:37

I tweaked the PKGBUILD with the latest commit, builds fine but haven't tested installation. Please provide feedback.

graysky commented on 2020-04-17 16:45

@ast261 - Thanks, looks like it is an internal. Testing a new PKGBUILD now.